.TH werl 1 "erts  5.7.3" "Ericsson AB" "USER COMMANDS"
.SH NAME
werl \- The Erlang Emulator
.SH DESCRIPTION
.LP
On Windows, the preferred way to start the Erlang system for interactive use is:
.LP
\fIwerl <arguments>\fR
.LP
This will start Erlang in its own window, with fully functioning command-line editing and scrollbars\&. All flags except \fI-oldshell\fR work as they do for the erl command\&.
.LP
Ctrl-C is reserved for copying text to the clipboard (Ctrl-V to paste)\&. To interrupt the runtime system or the shell process (depending on what has been specified with the +B system flag), you should use Ctrl-Break\&.
.LP
In cases where you want to redirect standard input and/or standard output or use Erlang in a pipeline, the \fIwerl\fR is not suitable, and the \fIerl\fR program should be used instead\&.
.LP
The \fIwerl\fR window is in many ways modelled after the \fIxterm\fR window present on other platforms, as the \fIxterm\fR model fits well with line oriented command based interaction\&. This means that selcting text is line oriented rather than rectangle oriented\&.
.LP
To select text in the \fIwerl\fR window , simply press and hold the left mouse button and drag the mouse over the text you want to select\&. If the selection crosses line boundaries, the selected text will consist of complete lines where applicable (just like in a word processor)\&. To select more text than fits in the window, start by selecting a small portion in the beginning of the text you want, then use the scrollbar to view the end of the desired selection, point to it and press the \fIright\fR mouse-button\&. The whole area between your first selection and the point where you right-clicked will be included in the selection\&.
.LP
The selected text is copied to the clipboard by either pressing \fICtrl-C\fR, using the menu or pressing the copy button in the toolbar\&.
.LP
Pasted text is always inserted at the current prompt position and will be interpreted by Erlang as usual keyboard input\&.
.LP
Previous command lines can be retrieved by pressing the \fIUp arrow\fR or by pressing \fICtrl-P\fR\&. There is also a drop down box in the toolbar containing the command history\&. Selecting a command in the drop down box will insert it at the prompt, just as if you used the keyboard to retrieve the command\&.
.LP
Closing the \fIwerl\fR window will stop the Erlang emulator\&.

